Site Links
Home
Features
Documentation
Pricing & Order
Members Area
Support Options
UBBDev.com
UBBWiki.com
Who's Online Now
1 registered members (JAISP), 77 guests, and 283 spiders.
Key: Admin, Global Mod, Mod
Member Spotlight
Softrak
Softrak
Vancouver, BC
Posts: 72
Joined: January 2007
Show All Member Profiles 
Top Posters(30 Days)
Gizmo 17
isaac 9
SteveS 8
Morgan 5
Ruben 4
jorb 4
Zarzal 2
Jake 1
Latest Photos
Test
Testing to drag photos
Comfortable Cats
Test
BSA photos
Previous Thread
Next Thread
Print Thread
Database Error after update #257972
01/16/16 07:43 AM
01/16/16 07:43 AM
D
designer  Offline OP
stranger
Joined: Sep 2008
Posts: 2
We have UBB.Threads version 7.5.3
We get error database connection only visible to administrator

after change the 0 to 1 in my mysql.inc.php i see the following error :

Script:
Line#:
SQL Error: Connection using old (pre-4.1.1) authentication protocol refused (client option 'secure_auth' enabled)
SQL Error #: 2049
Query: Unable to connect to the database!

Please click back to return to the previous page.

Please help to solve the problem

Express Hosting
Express Hosting "We are the official hosting company of UBB.threads. Ask us about our free migration services to migrate your UBB.threads installation."
Re: Database Error after update [Re: designer] #257973
01/16/16 11:53 AM
01/16/16 11:53 AM
R
Ruben  Offline

Joined: Dec 2003
Posts: 5,952
Lutz,FL
It sounds like your host has updated your mysql version.
Which means that your old encrypted password can't be converted to the new version.
First thing is to confirm what version of mysql you have now.
with a older version of ubb it may not be compatible with the mysql version.
Second if it is then you probably just need to re-enter a user name and password for the database.
If you can't keep the old username and password you will need to edit your config.inc.php file for ubb and make the changes.


Blue Man Group


There is no such thing as stupid questions. Just stupid answers
Re: Database Error after update [Re: designer] #257974
01/16/16 07:13 PM
01/16/16 07:13 PM
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 17,013
Portland, OR; USA
More specifically, it sounds like your host upgraded the MySQL server and didn't request clients update their passwords; mysql_upgrade cannot and does not upgrade passwords, nor does it warn about them needing updated in some versions.

I'm thinking that if you access your hosting control panel and update your password that it'd likely start working again. Basically, older passwords on the machine are stored with a different/shorter hash than what newer passwords are generated as, and in the latest upgrade they're now longer allowing the shorter hash to be used (I believe your host could "fix" this if they'd use the "useLegacyAuth" setting in MySQL).


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Need to Upgrade?
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!

Shout Box
Today's Birthdays
GoldenEye
Recent Topics
header.php after update from 7.5.x to 7.6.x
by Zarzal. 12/12/18 05:29 AM
Does 7.6.2 support php 71?
by Baldeagle. 12/12/18 02:17 AM
Cannot contact support
by . 12/11/18 06:43 PM
errors importing a database
by andrewjs18. 12/11/18 03:51 AM
Private Message, Opt out of conversation
by jorb. 12/04/18 10:11 PM
Forum Statistics
Forums36
Topics35,176
Posts191,657
Members12,121
Most Online978
Jun 24th, 2007
Random Image
Powered by UBB.threads™ PHP Forum Software 7.6.2